SYD-FORK(1)

# NAME

syd-fork - Fork fast in an infinite loop.

# SYNOPSIS

*syd-fork* _[-h]_

# DESCRIPTION

Given no arguments, fork fast in an infinite loop. This is implemented using
inline assembly on architectures x86, x86_64, arm and aarch64 and it's much
faster and more efficient than the bash fork bomb.

Given *-h* print a big-fat warning about why this should only be used to
stress-test the pid limiter. Seriously, grow up and do not make jokes with this
program. Use it at your own risk.

# OPTIONS

|[ *-h*
:< Display help.

# EXAMPLES

To run syd-fork on April 1st at 8:00 AM UTC, you can use the _at_(1) command. This
is useful for scheduling the program to execute at a specific time for testing
or demonstration purposes. Ensure that the _at(1)_ daemon is running on your system
and that you have permission to schedule jobs with _at_(1).

```
$ echo "syd-fork" | at 08:00 April 1
```

# NOTES

Distribution maintainers are recommended to _ln_(1) "syd-fork" to "syd-fuck"
under an NSFW option to help treat anger issues.

# SEE ALSO

_syd_(1), _syd_(2), _syd_(5), _at_(1), _fork_(2), _ln_(1)

*syd* homepage: https://sydbox.exherbolinux.org/

# AUTHORS

Maintained by Ali Polatel. Up-to-date sources can be found at
https://git.sr.ht/~alip/syd and bugs/patches can be submitted by email to
~alip/sydbox-devel@lists.sr.ht. Exherbo related bugs/issues can be submitted to
https://gitlab.exherbo.org/groups/sydbox/-/issues. Discuss in #sydbox on Libera
Chat.
