SYD-MDWE(1)

# NAME

syd-mdwe - Run a command under Memory-Deny-Write-Execute protections

# SYNOPSIS

*syd-mdwe* _[-hms]_ _{command [args...]}_

# DESCRIPTION

*syd-mdwe* utility runs a command under Memory-Deny-Write-Execute (MDWE)
protections. The protections can be applied using _prctl_(2) and
_seccomp_(2), These protections are identical to what syd applies by
default.

# OPTIONS

|[ *-h*
:< Display help.
|[ *-m*
:< Enable MDWE protections using _prctl_(2) PR_SET_MDWE (default).
|[ *-s*
:< Enable MDWE protections using _seccomp_(2) (use with -m to enable both).

# BUGS

This tool panics on most errors rather than handling them gracefully.

# SEE ALSO

_syd_(1), _syd_(2), _syd_(5), _prctl_(2), _seccomp_(2)

*syd* homepage: https://sydbox.exherbolinux.org/

# AUTHORS

Maintained by Ali Polatel. Up-to-date sources can be found at
https://git.sr.ht/~alip/syd and bugs/patches can be submitted by email to
~alip/sydbox-devel@lists.sr.ht. Exherbo related bugs/issues can be submitted to
https://gitlab.exherbo.org/groups/sydbox/-/issues. Discuss in #sydbox on Libera
Chat.
